<div class="section-container" [formGroup]="loginFormGroup">
    <div class="step">
        <h1>PERSONAL LOAN</h1>
        <div class="step-body">
            <p>Instant Loan Approval for Salaried Customers! </p>
            <mat-tab-group [class.disabled-tab]='formSubmitted' class="login_tab_group white" [selectedIndex]="existingUser" (selectedTabChange)="changeLoginTab($event)" [disableRipple]="true" [dynamicHeight]="true">
                <mat-tab label="New Customer">
                    <div class="tab-content-wrapper">
                        <div *ngIf="step==1">
                            <div class="form-group">
                                <div class="form-row">
                                    <div class="form-col-3">
                                        <mat-form-field>
                                            <input #firstName [errorStateMatcher]="formSubmittedMatcher" matInput autocomplete="off" alphaOnly length="100" placeholder="First Name (as per PAN)*" formControlName="firstName">
                                            <mat-error *ngIf="loginform.firstName.errors && loginform.firstName.errors.required">First name is required</mat-error>
                                            <mat-error *ngIf="loginform.firstName.errors && loginform.firstName.errors.pattern">Please enter valid first name</mat-error>
                                            <mat-error *ngIf="loginform.firstName.errors && loginform.firstName.errors.length">Name can be max 100 characters long</mat-error>
                                        </mat-form-field>
                                    </div>

                                    <div class="form-col-3">
                                        <mat-form-field>
                                            <input [errorStateMatcher]="formSubmittedMatcher" matInput autocomplete="off" alphaOnly length="100" placeholder="Middle Name (as per PAN)" formControlName="middleName">
                                            <mat-error *ngIf="loginform.middleName.errors && loginform.middleName.errors.pattern">Please enter valid Middle name</mat-error>
                                        </mat-form-field>
                                    </div>
                                    <div class="form-col-3">
                                        <mat-form-field>
                                            <input [errorStateMatcher]="formSubmittedMatcher" matInput autocomplete="off" alphaOnly length="100" placeholder="Last Name (as per PAN)*" formControlName="lastName">
                                            <mat-error *ngIf="loginform.lastName.errors && loginform.lastName.errors.required">Last name is required</mat-error>
                                            <mat-error *ngIf="loginform.lastName.errors && loginform.lastName.errors.pattern">Please enter valid last name</mat-error>
                                            <mat-error *ngIf="loginform.lastName.errors && loginform.lastName.errors.length">Name can be max 100 characters long</mat-error>
                                        </mat-form-field>

                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-col-3">
                                        <mat-form-field>
                                            <input [errorStateMatcher]="formSubmittedMatcher" matInput autocomplete="off" length="100" placeholder="Personal Email ID*" formControlName="email">
                                            <mat-error *ngIf="loginform.email.errors && loginform.email.errors.required">Email is required</mat-error>
                                            <mat-error *ngIf="loginform.email.errors && loginform.email.errors.pattern">Please enter valid Email</mat-error>
                                        </mat-form-field>
                                    </div>
                                    <div class="form-col-3">
                                        <mat-form-field>
                                            <input type="text" [errorStateMatcher]="formSubmittedMatcher" matInput autocomplete="off" numberOnly placeholder="Mobile No.*" formControlName="mobileNumber" length="10">
                                            <mat-error *ngIf="loginform.mobileNumber.errors && loginform.mobileNumber.errors.required">Mobile no. is required</mat-error>
                                            <mat-error *ngIf="loginform.mobileNumber.errors && loginform.mobileNumber.errors.pattern">Please enter valid Mobile no.</mat-error>
                                        </mat-form-field>
                                    </div>
                                </div>
                            </div>
                            <p class="custom-error">{{otpError}}</p>

                            <div class="btn-wrap">
                                <button (click)="getOtp()" mat-button>Get Started</button>
                                <app-loader type="0" *ngIf="formSubmitted"></app-loader>
                            </div>
                            <div class="text-center">
                                <a href="javascript:;" (click)="resumeApp()" class="link-resume">Resume Application</a>
                            </div>

                            <div class="new-user_tab_footer">
                                <span>Please keep your PAN details handy. </span>
                                <span>By proceeding further, you agree to the </span>
                                <a href="javascript:void(0);" class="sickly-yellow links" (click)="openTermsDialog()">Terms & Conditions</a>
                            </div>
                        </div>

                        <div *ngIf="step==2" class=" existing-customer-wrap">
                            <div class="form-group">
                                <p class="mobile_info">Please enter the OTP sent to your mobile number xxxxxx{{mobileText}}</p>
                                <mat-form-field>
                                    <input matInput type="text" #otp  numberOnly length="4" length="1" formControlName="otp">
                                </mat-form-field>

                                <p class="custom-error">{{otpError}}</p>

                                <div class="btn-wrap">
                                    <button (click)="verifyOtp()" mat-button>Submit OTP</button>
                                </div>
                                <app-loader class="mt-10" *ngIf="formSubmitted"></app-loader>

                                <app-spinner #resendT [timeout]="10" type="1" prefix="Resend OTP in"></app-spinner>
                                <a *ngIf="!resendT.isTimerRunning" href="javascript:void(0);" (click)="getOtp()" class="links">Resend OTP</a>
                                <a href="javascript:void(0);" (click)="goBack()" class="links">Go back</a>
                            </div>
                        </div>
                    </div>
                </mat-tab>
                <mat-tab label="Existing Customer">
                    <div class="tab-content-wrapper">
                        <div *ngIf="step==1">
                            <div class="existing-customer-wrap">
                                <p class="mobile_info">Please enter your mobile number to continue your application</p>
                                <div class="form-group">
                                    <mat-form-field class="otp-form-field">
                                        <input [errorStateMatcher]="formSubmittedMatcher" type="number" #mobileNumber matInput autocomplete="off" numberOnly length="10" placeholder="Mobile No." formControlName="mobileNumber">
                                        <mat-error *ngIf="loginform.mobileNumber.errors && loginform.mobileNumber.errors.required">Mobile no. is required</mat-error>
                                        <mat-error *ngIf="loginform.mobileNumber.errors && loginform.mobileNumber.errors.pattern">Please enter valid Mobile no.</mat-error>

                                    </mat-form-field>
                                </div>
                                <div class="btn-wrap">
                                    <p class="custom-error">{{otpError}}</p>
                                    <button (click)="getOtp()" mat-button>Sign In</button>
                                </div>
                                <app-loader *ngIf="formSubmitted"></app-loader>

                                <p class="guest-field"><span>Or </span> <a href="javascript:void(0);" (click)="goAsGuest()" class="links">Skip & Continue as Guest</a></p>
                            </div>

                            <div class="new-user_tab_footer white">
                                <span>By proceeding further, you agree to the </span>
                                <a href="javascript:void(0);" class="sickly-yellow links" (click)="openTermsDialog()">Terms & Conditions</a>
                            </div>
                        </div>
                        <!-- Next Screen -->
                        <div *ngIf="step==2" class="existing-customer-wrap">
                            <div class="form-group">
                                <p class="mobile_info">Please enter the OTP sent to your mobile number xxxxxx{{mobileText}}</p>
                                <mat-form-field>
                                    <input matInput type="text" #resumeotp  numberOnly length="4" length="1" formControlName="otp">
                                </mat-form-field>

                                <p class="custom-error">{{otpError}}</p>
                                <div class="btn-wrap">
                                    <button (click)="verifyOtp()" mat-button>Submit OTP</button>
                                </div>
                                <app-loader class="mt-10" *ngIf="formSubmitted"></app-loader>
                                <app-spinner #resendTResume [timeout]="10" type="1" prefix="Resend OTP in"></app-spinner>
                                <a *ngIf="!resendTResume.isTimerRunning" href="javascript:void(0);" (click)="getOtp()" class="links">Resend OTP</a>
                                <a href="javascript:void(0);" (click)="goBack()" class="links">Go back</a>
                            </div>
                        </div>
                    </div>
                </mat-tab>
            </mat-tab-group>
        </div>
    </div>
</div>
